My Project: dgGraphNode< dgNodeData, dgEdgeData > Class Template Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgGraphNode< dgNodeData, dgEdgeData > Class Template Reference

`#include <dgGraph.h>`

Inheritance diagram for dgGraphNode< dgNodeData, dgEdgeData >:

## Public Member Functions

| dgGraphNode ()
| ~dgGraphNode ()
dgGraphNode< dgNodeData, dgEdgeData >::dgListNode * | AddEdge (typename dgGraph< dgNodeData, dgEdgeData >::dgListNode *const node)
void | DeleteHalfEdge (typename dgGraphNode< dgNodeData, dgEdgeData >::dgListNode *const edge)
void | DeleteEdge (typename dgGraphNode< dgNodeData, dgEdgeData >::dgListNode *const edge)
Public Member Functions inherited from dgList< dgGraphEdge< dgNodeData, dgEdgeData > >
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgGraphEdge< dgNodeData, dgEdgeData > &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgGraphEdge< dgNodeData, dgEdgeData > &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgGraphEdge< dgNodeData, dgEdgeData > &element) const
dgListNode * | GetNodeFromInfo (dgGraphEdge< dgNodeData, dgEdgeData > &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgGraphEdge< dgNodeData, dgEdgeData > &element)
void | RemoveAll ()
void | Merge (dgList< dgGraphEdge< dgNodeData, dgEdgeData > > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Public Attributes

dgNodeData | m_nodeData

## Constructor & Destructor Documentation

## § dgGraphNode()

template<class dgNodeData , class dgEdgeData >

dgGraphNode< dgNodeData, dgEdgeData >::dgGraphNode | ( |  | ) |

## § ~dgGraphNode()

template<class dgNodeData , class dgEdgeData >

dgGraphNode< dgNodeData, dgEdgeData >::~dgGraphNode | ( |  | ) |

## Member Function Documentation

## § AddEdge()

template<class dgNodeData , class dgEdgeData >

dgGraphNode< dgNodeData, dgEdgeData >::dgListNode * dgGraphNode< dgNodeData, dgEdgeData >::AddEdge | ( | typename dgGraph< dgNodeData, dgEdgeData >::dgListNode *const | node | ) |

## § DeleteEdge()

template<class dgNodeData , class dgEdgeData >

void dgGraphNode< dgNodeData, dgEdgeData >::DeleteEdge | ( | typename dgGraphNode< dgNodeData, dgEdgeData >::dgListNode *const | edge | ) |

## § DeleteHalfEdge()

template<class dgNodeData , class dgEdgeData >

void dgGraphNode< dgNodeData, dgEdgeData >::DeleteHalfEdge | ( | typename dgGraphNode< dgNodeData, dgEdgeData >::dgListNode *const | edge | ) |

## Member Data Documentation

## § m_nodeData

template<class dgNodeData, class dgEdgeData>

dgNodeData dgGraphNode< dgNodeData, dgEdgeData >::m_nodeData

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgGraph.h